> ## Documentation Index
> Fetch the complete documentation index at: https://docs.concretehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create company

> Create a new company



## OpenAPI

````yaml /openapi.yaml post /companies
openapi: 3.1.0
info:
  title: Concrete API
  description: >
    The Concrete API provides programmatic access to view and create select data
    in Concrete.  The API is primarily intended to facilitate data pipeline
    automations for portfolio management.
  version: 1.0.0
  license:
    name: MIT
  contact:
    name: Concrete Support
    email: support@concretehq.com
    url: https://concretehq.com
servers:
  - url: https://app.concretehq.com/api/v1
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Authentication and member information
  - name: Companies
    description: Portfolio company management
  - name: Funds
    description: Fund and portfolio management
  - name: Meetings
    description: External meeting imports
  - name: Notes
    description: Notes attached to companies and people
  - name: Connections
    description: Data connections and message uploads
  - name: Trackers
    description: Tracked metrics and their per-company value history
paths:
  /companies:
    post:
      tags:
        - Companies
      summary: Create company
      description: Create a new company
      operationId: createCompany
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyInput'
      responses:
        '201':
          description: Company created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyCreateResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    CompanyInput:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: Company name
          example: New Company Name
        primaryDomain:
          type: string
          description: Primary domain of the company
          example: newcompany.com
        domains:
          type: array
          items:
            type: string
          description: Array of company domains
          example:
            - newcompany.com
            - newco.io
        alternativeNames:
          type: array
          items:
            type: string
          description: Array of alternative company names
          example:
            - NewCo
            - New Co
        headline:
          type: string
          description: Company description
          maxLength: 256
          example: Company description
        linkedinSlug:
          type: string
          description: LinkedIn profile slug
          example: new-company
        twitterSlug:
          type: string
          description: Twitter profile slug
          example: newcompany
        crunchbaseSlug:
          type: string
          description: Crunchbase profile slug
          example: new-company
    CompanyCreateResponse:
      type: object
      required:
        - publicId
      properties:
        publicId:
          type: string
          description: Created company public ID
          example: abc123def456
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Human-readable error message
          example: Not found
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

````